Package twisted :: Package protocols :: Module toc :: Class SendFileTransfer |
[show private | hide private]
[frames | no frames]

## Class SendFileTransfer

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      SendFileTransfer

Method Summary
| `__init__(self, client, cookie, user, filename)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``dataReceived`(self, data)` Called whenever data is received.

Class Variable Summary
`str` | `header_fmt`

Method Details

### dataReceived(self, data) Called whenever data is received. Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message. Parameters: `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time. Overrides: `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

Class Variable Details

    ### header_fmt Type: `str` Value:
        '!4s2H8s6H10I32s3c69s16s2H64s'

Generated by Epydoc 1.1 on Thu May 8 13:16:47 2003 | http://epydoc.sf.net